%define module  irc

Name:           python-%{module}
Summary:        IRC (Internet Relay Chat) protocol client library for Python
Version:        8.5.3
Release:        %mkrel 9
Source:         http://pypi.python.org/packages/source/i/%{module}/%{module}-%{version}.zip
Patch0:         python-irc-8.5.1-mga-setup_requires.patch
URL:            http://pypi.python.org/pypi/irc/
License:        Python
Group:          Networking/IRC
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-six

%description
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%package -n python3-%{module}
Summary:	IRC (Internet Relay Chat) protocol client library for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
rm -rf irc.egg-info/
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc CHANGES.* PKG-INFO README.*
%{python_sitelib}/%{module}
%{python_sitelib}/*.egg-info

%files -n python3-%{module}
%doc CHANGES.* PKG-INFO README.*
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 8.5.3-9.mga6
+ Revision: 971010
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 8.5.3-8.mga6
+ Revision: 888923
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 8.5.3-7.mga5
+ Revision: 739517
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 8.5.3-6.mga5
+ Revision: 728780
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 8.5.3-5.mga5
+ Revision: 688090
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 8.5.3-4.mga5
+ Revision: 628716
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 8.5.3-3.mga4
+ Revision: 543419
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 8.5.3-2.mga4
+ Revision: 498748
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 8.5.3-1.mga4
+ Revision: 493757
- Update to 8.5.3
- add Python 3

* Mon Sep 02 2013 philippem <philippem> 8.5.1-1.mga4
+ Revision: 474454
- update to 8.5.1

* Sun Jan 13 2013 umeabot <umeabot> 7.1.1-2.mga3
+ Revision: 379014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 boklm <boklm> 7.1.1-1.mga3
+ Revision: 341284
- Version 7.1.1

* Tue Oct 09 2012 colin <colin> 3.1.1-1.mga3
+ Revision: 303698
- imported package python-irc

